<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

// Add archive section
$wp_customize->add_section( 'personify_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','personify' ),
	'description'       => esc_html__( 'Archive section options.', 'personify' ),
	'panel'             => 'personify_theme_options_panel',
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'personify_theme_options[show_date]', array(
	'default'           => $options['show_date'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[show_date]', array(
	'label'             => esc_html__( 'Show Date', 'personify' ),
	'section'           => 'personify_archive_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'personify_theme_options[show_author]', array(
	'default'           => $options['show_author'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[show_author]', array(
	'label'             => esc_html__( 'Show Author', 'personify' ),
	'section'           => 'personify_archive_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'personify_theme_options[show_category]', array(
	'default'           => $options['show_category'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[show_category]', array(
	'label'             => esc_html__( 'Show Category', 'personify' ),
	'section'           => 'personify_archive_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'personify_theme_options[show_comments]', array(
	'default'           => $options['show_comments'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[show_comments]', array(
	'label'             => esc_html__( 'Show Comments Meta', 'personify' ),
	'section'           => 'personify_archive_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );